Subject: bug#19582: 25.0.50; [PATCH] Calc: glitches with negation of units

From: Wolfgang Jenkner <[email-masked]>
Date: Tue, 13 Jan 2015 20:39:05 +0100

On Tue, Jan 13 2015, Wolfgang Jenkner wrote:

> The same calculation can return an expression where some sub-expression
> is a plain integer, say 100, or the corresponding float (float 1 2).
> I'll provide an explicit example.

So the issue seems to be this:

In emacs -Q, do `M-x calc' then convert, say 1m, to cm, i.e.,

' 1 m <return> u c c m <return>

This gives `100 cm' on top of the stack (a plain integer scalar).

Next, start another emacs -Q instance, do `M-x calc' and then, before
anything else, `M-: (load-library "calc-units")'.

Now the same conversion exercise as before gives `100. cm' on the stack
instead (a calc float).